from django.urls import include, path

from .views import JoinView, MusicrateSettingsView, QRCodeView

urlpatterns = [
    path(
        "orga/event/<slug:event>/settings/p/pretalx_musicrate/",
        MusicrateSettingsView.as_view(),
        name="settings",
    ),
    path(
        "<slug:event>/p/pretalx_musicrate/",
        include(
            [
                path("", QRCodeView.as_view(), name="qrcode"),
                path("<slug:token>/", JoinView.as_view(), name="join"),
            ]
        ),
    ),
]
